Workflow triggers
Update Trigger
Replace a trigger’s configuration.
PUT
/
workflow
/
workflows
/
{workflow_id}
/
versions
/
{version}
/
triggers
/
{trigger_id}
Update Trigger
curl --request PUT \
--url https://api.anyreach.ai/workflow/workflows/{workflow_id}/versions/{version}/triggers/{trigger_id} \
--header 'Content-Type: application/json' \
--data '
{
"trigger_key": "<string>",
"configured_props": {},
"external_user_id": "<string>",
"pipedream_dynamic_props_id": "<string>"
}
'import requests
url = "https://api.anyreach.ai/workflow/workflows/{workflow_id}/versions/{version}/triggers/{trigger_id}"
payload = {
"trigger_key": "<string>",
"configured_props": {},
"external_user_id": "<string>",
"pipedream_dynamic_props_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
trigger_key: '<string>',
configured_props: {},
external_user_id: '<string>',
pipedream_dynamic_props_id: '<string>'
})
};
fetch('https://api.anyreach.ai/workflow/workflows/{workflow_id}/versions/{version}/triggers/{trigger_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"organization_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_version_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"trigger_step_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"trigger_key": "string",
"status": "inactive",
"source": "pipedream",
"pipedream_deploy_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"temporal_schedule_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"has_error": false,
"error_message": "string",
"event_template": {},
"test_mode_expires_at": "2026-01-15T09:30:00Z",
"last_event_at": "2026-01-15T09:30:00Z",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"created_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modified_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Organization ID for user PATs (pat_ prefix tokens)
Path Parameters
Body
application/json
Response
Successful Response
Available options:
inactive, testing, active Available options:
pipedream, anyreach ⌘I
Update Trigger

